--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Creates a new channel with the given name, optionally setting the topic and an initial users list.
- !ruby/struct:SM::Flow::P 
  body: No additional info is created here, because the channel flags and userlists allowed depend on the server.
full_name: Irc::Channel::new
is_singleton: true
name: new
params: (name, topic=nil, users=[], opts={})
visibility: public
